List all user groups / attendee groups (Legacy Version)
1 min
List all user / attendee groups
List all user / attendee groups in a specific event
GET
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendee_groups
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendee_groups' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": [
{
"id": "13162",
"type": "attendee-group",
"attributes": {
"name": "Attendees (Virtual)",
"attendance-type": "virtual",
"default": true,
"users-are-deletable": true,
"created-at": "2022-08-30T16:26:28.393Z",
"updated-at": "2022-08-30T16:26:28.393Z",
"attendees-count": 0
},
{
"id": "13163",
"type": "attendee-group",
"attributes": {
"name": "Attendees (In-Person)",
"attendance-type": "in_person",
"default": true,
"users-are-deletable": true,
"created-at": "2022-08-30T16:26:28.397Z",
"updated-at": "2022-08-30T16:26:28.397Z",
"attendees-count": 0
},
{
"id": "13164",
"type": "attendee-group",
"attributes": {
"name": "Attendees (Hybrid)",
"attendance-type": "hybrid",
"default": true,
"users-are-deletable": false,
"created-at": "2022-08-30T16:26:28.400Z",
"updated-at": "2022-08-30T16:26:28.400Z",
"attendees-count": 6
},
{
"id": "13165",
"type": "attendee-group",
"attributes": {
"name": "Sponsors (Virtual)",
"attendance-type": "virtual",
"default": true,
"users-are-deletable": true,
"created-at": "2022-08-30T16:26:28.404Z",
"updated-at": "2022-08-30T16:26:28.404Z",
"attendees-count": 0
},
{
"id": "13166",
"type": "attendee-group",
"attributes": {
"name": "Sponsors (In-Person)",
"attendance-type": "in_person",
"default": true,
"users-are-deletable": true,
"created-at": "2022-08-30T16:26:28.407Z",
"updated-at": "2022-08-30T16:26:28.407Z",
"attendees-count": 0
},
{
"id": "13167",
"type": "attendee-group",
"attributes": {
"name": "Sponsors (Hybrid)",
"attendance-type": "hybrid",
"default": true,
"users-are-deletable": false,
"created-at": "2022-08-30T16:26:28.410Z",
"updated-at": "2022-08-30T16:26:28.410Z",
"attendees-count": 0
},
{
"id": "15467",
"type": "attendee-group",
"attributes": {
"name": "Test Group",
"attendance-type": "virtual",
"default": false,
"users-are-deletable": true,
"created-at": "2023-02-21T12:00:21.936Z",
"updated-at": "2023-07-12T15:08:33.120Z",
"attendees-count": 0
},
{
"id": "15468",
"type": "attendee-group",
"attributes": {
"name": "Test Group 2",
"attendance-type": "virtual",
"default": false,
"users-are-deletable": true,
"created-at": "2023-02-21T12:02:36.920Z",
"updated-at": "2023-02-21T12:02:56.020Z",
"attendees-count": 0
},
{
"id": "15469",
"type": "attendee-group",
"attributes": {
"name": "test",
"attendance-type": "virtual",
"default": false,
"users-are-deletable": true,
"created-at": "2023-02-21T12:23:59.503Z",
"updated-at": "2023-02-21T12:23:59.503Z",
"attendees-count": 0
},
"meta": {
"total_count": 9,
"total_pages": 1,
"current_page": 1
}
}Note:
- The current response returns the associated attendees for each group. This will be removed soon for performance considerations.